/* GCC */

#include <cstdio>

using namespace std;

int abs(int x) {
    if ( x < 0 ) {
        x *= -1;
    }
    return x;
}

int main()
{
    FILE *in = fopen("parking.in", "r");
    FILE *out = fopen("parking.out", "w");

    int n, tmp;
    int distanceSum = 0;
    int limit, pivot;
    int result;

    fscanf(in, "%d", &n);

    limit = n - 1;

    int houses[n];
    int distances[limit];

    for ( int i = 0; i < n; fscanf(in, "%d", &houses[i]), i++ );
    for ( int j = 0, tmp; j < limit; j++ ) {
        fscanf(in, "%d", &tmp);
        distanceSum += tmp;
        distances[j] = tmp;
    }

    pivot = distanceSum / 2;
    tmp = pivot;
    result = abs(pivot - distances[n/2-1]);

    for ( int k = n / 2 - 1; k > -1; k-- ) {
        pivot -= distances[k];
        result += abs(pivot - houses[k]);
    }

    pivot = tmp;

    for ( int c = n / 2; c < limit; c++ ) {
        tmp = distances[c];
        pivot += tmp;
        result += abs(pivot - houses[c+1]);
    }

    fprintf(out, "%d\n", result);

    fclose(in);
    fclose(out);

    return 0;
}
