/* GCC */

#include <cstdio>
#include <cmath>
#include <algorithm>

#define MAX 10000

using namespace std;

int n, ans = 0;
int distances[MAX];

int down_s(int a, int b){
    return a>b;
}

int main()
{
    freopen("parking.in", "r", stdin);
    freopen("parking.out", "w", stdout);
    scanf("%d\n", &n);
    for(int i = 0; i < n; i++){
        scanf("%d", &distances[i]);
    }
    scanf("\n");
    int position = distances[0];
    distances[0] = 0;
    for(int i = 0; i < n - 1; i++){
        int tmp;
        scanf("%d", &tmp);
        position += tmp;
        distances[i + 1] -= position;
    }
    sort(distances, distances + n, down_s);
    if(distances[(n - 1) / 2] != 0)
    {
        int add = 0 - distances[(n - 1) / 2];
        for(int i = 0; i < n; i++)
            distances[i] += add;
    }
    for(int i = 0; i < n; i++){
        ans += abs(distances[i]);
    }
    printf("%d\n", ans);
    return 0;
}
